<link rel="stylesheet" href="/static/main.css"/>

<style>

 body {
     padding: 10px;
 }

 td, th {
     padding-right: 10px;
 }

 th {
     text-align: left;
 }

</style>

<head>
    <title>ArchWizard 🧙 Attribute: {{ attribute }}</title>
</head>

<h2>Attribute: {{ attribute }}</h2>

<h3>Archiver: <a href="{{ url_for('show_archiver', manager=manager) }}?archiver={{ archiver | shorten_archiver_name | quote_plus }}">{{archiver}}</a></h3>

<table class="attribute">
    <tr>
        <td style="vertical-align: top;">
            <h3 title="Basic tango attribute info">
                Attribute
            </h3>
            <table>
                <tr>
                    <th>Label:</th>
                    <td>{{config.label}}</td>
                </tr>
                <tr>
                    <th>Unit: </th>
                    <td>{{config.unit}}</td>
                </tr>
                <tr>
                    <th>Data type:</th>
                    <td>{{data_type or ""}}</td>
                </tr>
                <tr>
                    <th>Data format:</th>
                    <td>{{config.data_format}}</td>
                </tr>
            </table>

            <h3 title="Status for this attribute, as reported by the archiver.">
                Archiving status
            </h3>
            <table>
                {% for key, value in archiving_status %}
                    <tr>
                        <th style="white-space: nowrap">{{ key }}:</th>
                        <td style="">{{ value }}</td>
                    </tr>
                {% endfor %}
            </table>
        </td>
        <td  style="vertical-align: top;">

            <h3 title="Info about the tango device the attribute belongs to">
                Device
            </h3>
            {% if info %}
                <table>
                    <tr>
                        <th>Name:</th>
                        <td>{{ device }}</td>
                    </tr>
                    <tr>
                        <th>Device class:</th>
                        <td>{{ info.dev_class }}</td>
                    </tr>
                    <tr>
                        <th>Server:</th>
                        <td>{{ info.server_id }}</td>
                    </tr>
                    <tr>
                        <th>Host:</th>
                        <td>{{ info.server_host }}</td>
                    </tr>
                    <tr>
                        <th>Last started:</th>
                        <td>{{full_info.started_date}}</td>
                    </tr>
                </table>
            {% else %}
                <pre>{{ error }}</pre>
            {% endif %}

            {% if config %}
                <h3 title="The attribute's archive event configuration">
                    Archive events
                </h3>

                <table>
                    <tr>
                        <th> Absolute change:</th>
                        <td>{{config.events.arch_event.archive_abs_change}}</td>
                    </tr>
                    <tr>
                        <th> Relative change:</th>
                        <td>{{config.events.arch_event.archive_rel_change}}</td>
                    </tr>
                    <tr>
                        <th> Periodic: </th>
                        <td>{{config.events.arch_event.archive_period}}</td>
                    </tr>
                </table>
            {% endif %}

            {% if polling_status %}
                <h3 title="Polling status for the attribute">
                    Polling status
                </h3>
                <ul>
                    <li>{{ polling_status[0] }}</li>
                    <li>{{ polling_status[1] }}</li>
                    {% if polling_status | length > 4 %}
                        <li style="white-space: nowrap">{{ polling_status[2] }} ms</li>
                        <li style="white-space: nowrap">{{ polling_status[3] }}</li>
                        <li style="white-space: nowrap">{{ polling_status[4] }} ms</li>
                    {% endif %}
                    {% if polling_status[-1] %}
                        <li>Last error: <pre>{{ polling_status[-1] }}</pre></li>
                    {% endif %}
                </ul>
            {% endif %}
        </td>
    </tr>
</table>

<footer>
    <hr/>
    Rendered at {{ now }}
</footer>
